using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AdvertsingProfitControl
{
    internal class ApcTableStatus
    {
        private DbTableWriterStatus _projectionsTableStatus = new DbTableWriterStatus();
        private DbTableWriterStatus _inventoryTableStatus = new DbTableWriterStatus();
        private DbTableWriterStatus _actualSalesStatus = new DbTableWriterStatus();

        public void SetProjectionsTableStatus(DbTableWriterStatus status)
        {
            _projectionsTableStatus = status;
        }

        public DbTableWriterStatus GetProjectionsStatus()
        {
            return _projectionsTableStatus;
        }

        public void SetInventoryStatus(DbTableWriterStatus status)
        {
            _inventoryTableStatus = status;
        }

        public DbTableWriterStatus GetInventoryStatus()
        {
            return _inventoryTableStatus;
        }

        public void SetActualSalesStatus(DbTableWriterStatus status)
        {
            _actualSalesStatus = status;
        }

        public DbTableWriterStatus GetActualSalesStatus()
        {
            return _actualSalesStatus;
        }
    }
}
